import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import VConsole from "vconsole";
import "./utils/rem";
import "./static/reset.css";
import Vant from "vant";
import "vant/lib/index.css";

Vue.use(Vant);
Vue.config.productionTip = false;
router.afterEach((to, from) => {
  document.title = to.meta.title;
});
// const vConsole = new VConsole()
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
