export const eleDrag = (dragDom) => {
  const oDiv = document.querySelector(dragDom);
  let disX = 0;
  let disY = 0;
  oDiv.addEventListener("touchstart", (e) => {
    let touch = e.touches[0];
    disX = touch.clientX - oDiv.offsetLeft;
    disY = touch.clientY - oDiv.offsetTop;
    document.addEventListener("touchmove", defaultEvent, false);
  });
  oDiv.addEventListener("touchmove", (e) => {
    let touch = e.touches[0];
    let oLeft = touch.clientX - disX;
    let oTop = touch.clientY - disY;
    if (oLeft < 10) {
      oLeft = 10;
    } else if (
      oLeft >
      document.documentElement.clientWidth - oDiv.offsetWidth - 10
    ) {
      oLeft = document.documentElement.clientWidth - oDiv.offsetWidth - 10;
    }
    if (oTop < 0) {
      oTop = 0;
    } else if (
      oTop >
      document.documentElement.clientHeight - oDiv.offsetHeight - 50
    ) {
      oTop = document.documentElement.clientHeight - oDiv.offsetHeight - 50;
    }
    oDiv.style.left = oLeft + "px";
    oDiv.style.top = oTop + "px";
  });
  oDiv.addEventListener("touchend", () => {
    document.removeEventListener("touchmove", defaultEvent, false);
  });
  const defaultEvent = (e) => {
    e.preventDefault();
  };
};
