import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    userInfo: {},
    unReadCount: 0,
    NishiseiInfo: {},
  },
  mutations: {
    SET_USERINFO(state, userInfo) {
      state.userInfo = userInfo;
    },

    SET_READCOUNT(state, value) {
      state.unReadCount = value;
    },
    SET_NishiseiInfo(state, value) {
      state.NishiseiInfo = value;
    },
  },
  actions: {},
  modules: {},
});
